package com.vseravno.solna.adapter;

import org.dom4j.Element;
import org.dom4j.io.DocumentResult;
import org.dom4j.io.STAXEventReader;

import javax.xml.stream.XMLEventReader;

public class Dom4jAdapter implements Adapter<Element> {
    @Override
    public Element buildElement(XMLEventReader reader) throws Exception {
        return new STAXEventReader().readDocument(reader).getRootElement();
    }

    @Override
    public String getElementClassName() {
        return "org.dom4j.Element";
    }
}
