package com.vseravno.solna.adapter;

import org.w3c.dom.Element;

import javax.xml.stream.XMLEventReader;
import javax.xml.transform.dom.DOMResult;

public class W3cAdapter implements Adapter<Element> {
    @Override
    public Element buildElement(XMLEventReader reader) throws Exception {
        DOMResult result = new DOMResult();

        TransformUtils.transform(reader, result);

        return (Element) result.getNode().getFirstChild();
    }

    @Override
    public String getElementClassName() {
        return "org.w3c.dom.Element";
    }
}
